import QtQuick 1.0
import Qt 4.7

Component {
    Item {
        id: item
        width: if(isRunningOn ===1) { 490 } else { 612 }
        height: if(isRunningOn ===1) { 30 } else { 40 }

        // izmjenjujuce boje...
        function altColor(i) {
            var colors = [ "#bebebe", "#b7b7b7" ];
            return colors[i];
        }

        Rectangle {
            id: background
            width: parent.width
            height: parent.height
            color: altColor(index%2)
        }

        Row {
            id: row
            width: if(isRunningOn ===1) { 460 } else { 575 }
            height: if(isRunningOn ===1) { 30 } else { 40 }
            spacing: 5
            Item {
                // Indent a little
                width: 5
                height: 1
            }

            Text {
                width: if(isRunningOn ===1) { 110 } else { 137 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: period
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 8 } else { 10 }
                horizontalAlignment: Text.AlignHCenter
            }

            Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                width: if(isRunningOn ===1) { 120 } else { 150 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: fuel
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignRight
                font.pointSize: if(isRunningOn ===1) { 8 } else { 10 }
            }

            Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                width: if(isRunningOn ===1) { 100 } else { 125 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: fuelprice
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 8 } else { 10 }
                horizontalAlignment: Text.AlignRight
            }

            Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                width: if(isRunningOn ===1) { 110 } else { 137 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: price
                font.pointSize: if(isRunningOn ===1) { 8 } else { 10 }
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
            }

            Component {
                id: columnSeparator
                Rectangle {
                    width: 1
                    color: "white"
                    opacity: 1.0
                }
            }

        }
    }
}
