import QtQuick 1.0
import Qt 4.7

import "ColumnHelper.js" as ColumnHelper

Rectangle {
    id: statTable
    width: if(isRunningOn ===1) { 490 } else { 612 }
    height: 30 + brojStatRedaka * 30
    color: "black"

    property alias statTableHeight: statTable.height

    ListView {
        id: listStat
        property variant columnWidths: ColumnHelper.calcColumnWidths(model, listStat)
        anchors.fill: parent
        model: queryModelStat
        delegate: StatItem { }
        header: StatTableHeader { }
        interactive: false

    }

}
