import QtQuick 1.0
import Qt 4.7

import "ColumnHelper.js" as ColumnHelper

Rectangle {
    id: transTable
    width: if(isRunningOn ===1) { 530 } else { 662 }
    height: 30 + brojTransRedaka * 30
    color: "black"

    ListView {
        id: listTrans
        property variant columnWidths: ColumnHelper.calcColumnWidths(model, listTrans)
        anchors.fill: parent
        model: queryModelTrans
        delegate: TransItem { }
        header: TransTableHeader { }
        interactive: false
    }

}
