import QtQuick 1.0

Rectangle {
    id: oAppWindow
    width: if(isRunningOn ===1) { 540 } else { 710 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    color: "black"

    BorderImage {
        id: appIkona
        width: if(isRunningOn ===1) { 100 } else { 125 }
        height: if(isRunningOn ===1) { 100 } else { 135 }
        anchors.verticalCenterOffset: -50
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source: "images/FuelGauge.png"
    }

    Text {
        id: appVersionText
        x: 108
        width: if(isRunningOn ===1) { 200 } else { 250 }
        height: if(isRunningOn ===1) { 50 } else { 65 }
        color: "#ffffff"
        text: "FuelExp   ver. 1.0.1."
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: appIkona.bottom
        anchors.topMargin: 20
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 35
    }

    Text {
        id: authorText
        x: 169
        width: if(isRunningOn ===1) { 200 } else { 250 }
        height: if(isRunningOn ===1) { 40 } else { 55 }
        color: "#ffffff"
        text: qsTr("Marian Cvitanic")
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: appVersionText.bottom
        anchors.topMargin: 10
        font.pixelSize: 20
    }


}
