import QtQuick 1.0
import Qt 4.7

Component {
    Item {
        id: statHeaderItem
        width: if(isRunningOn ===1) { 490 } else { 612 }
        height: if(isRunningOn ===1) { 30 } else { 40 }

        Rectangle {
            id: statHeaderBackground
            width: parent.width
            height: parent.height
            color: "#515151"
        }

        Row {
            id: statHeaderRow
            width: if(isRunningOn ===1) { 460 } else { 575 }
            spacing: 5
            Item {
                // Indent a little
                width: 5
                height: 1
            }

            Text {
                width: if(isRunningOn ===1) { 110 } else { 137 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: "PERIOD"
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
                color: "#ffffff"
            }

            Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                width: if(isRunningOn ===1) { 120 } else { 150 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: "FUEL"
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignRight
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
                color: "#ffffff"
            }

            Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                width: if(isRunningOn ===1) { 100 } else { 125 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: "FUEL PRICE"
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
                horizontalAlignment: Text.AlignRight
                color: "#ffffff"
            }

            Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                width: if(isRunningOn ===1) { 110 } else { 137 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: "PRICE"
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                color: "#ffffff"
            }

            Component {
                id: columnSeparator
                Rectangle {
                    width: 1
                    color: "white"
                    opacity: 1.0
                }
            }
        }
    }
}
