import QtQuick 1.0
//import com.nokia.symbian 1.0

Rectangle {

    property alias brojTextDef: brojText.text

    id: textBottun
    width: if(isRunningOn ===1) { 55 } else { 69 }
    height: if(isRunningOn ===1) { 140 } else { 186 }
    color: "black"

    Rectangle {
        id: numberBox

        width: if(isRunningOn ===1) { 55 } else { 69 }
        height: if(isRunningOn ===1) { 62 } else { 83 }
        color: "black"
        anchors.verticalCenter: parent.verticalCenter

        gradient: Gradient {
            GradientStop { position: 0.0; color: "black" }
            GradientStop { position: 0.5; color: "darkGray" }
            GradientStop { position: 1.0; color: "black" }
        }

        SequentialAnimation {
            id: numberBox_anim
            NumberAnimation { target: numberBox; property: "opacity"; to: 0.0; duration: 30 }
            NumberAnimation { target: numberBox; property: "opacity"; to: 1.0; duration: 30 }
        }

        Text {
            id: brojText
            text: qsTr("0")
            style: Text.Raised
            font.bold: true
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            styleColor: "#777272"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "white"
            font.pixelSize: 35
        }

    }

}
